$(function(){
        // don't forget this init!      
        $.initWindowMsg();
        
        // maximalni pocet odkazu v list2 pro odeslani hodnoty do formulare je:
        // 		maximalni pocet radku tabulky list2 = 30
        //		maximalni pocet sloupcu tabulky s odkazy = 4
        //		celkem = 30 * 4 = 120
        
        // upon click of a button, send corresponding text input value to parent window
        $('#button0').click(function(){
            value = $('#in0').val();
            $.triggerParentEvent("childMsg0", value); 
          });
        $('#button1').click(function(){
          value = $('#in1').val();
          $.triggerParentEvent("childMsg1", value); 
        });
        $('#button2').click(function(){
          value = $('#in2').val();
          $.triggerParentEvent("childMsg2", value);
        });
        
        
        
        /*
        // set up the message handlers, listen for events 'parentMsg1' and 'parentMsg2'        
        $.windowMsg("parentMsg1", function(message) {
          $('#in1').val(message);
        });
        $.windowMsg("parentMsg2", function(message) {
          $('#in2').val(message);
        });
        */

      });    